{% extends "layout.html" %}
{% block title %}To-Do App{% endblock %}

{% block content %}
<form name="UpdateStatus" method="post" action="MarkComplete">
      <div class="jumbotron">
        <h1 class="display-4">To-Do App</h1>
        <p class="lead">Just another to-do app.</p>
      </div>
      <div class="row">
        <div class="col-md-12">
          <h2>Items</h2>
          <ul class="list-group mb-4">
            {% for key, value in AllIndex.items() %}
              <li>{{value}}<button type="submit" Value="{{key}}" name="MarkMeDone">Mark Me as Done</button></li>
            {% endfor %}
          </ul>
        </div>
      </div>
  </form>

  
<Form name="AddNewToDo" method="post" action="NewItem">
  <table title="Add Task">
    <tr> 
      <td>Enter To-Do Title</td>
      <td><input type="text" name="taskName" value=""></td>
    </tr>
    <tr> 
      <td>Add Task</td>
      <td><input type="submit" name="AddTask" value="Add Task"></td>
    </tr>
</Form>

<!-- <Form name="AddNewToDo" method="post" action="UpdateStatus">
  <table title="Update Task Status">
    <tr> 
      <td>Select Task</td>
      <td>
        <select name="UpdateTaskStatus" id="UpdateTaskStatus">
          {% for key, value in AllIndex.items() %}
              <li>{{value}}</li>
              <option value={{key}}>{{value}}</option>
            {% endfor %}
        </select>
      </td>
    </tr>
    <tr> 
      <td>Change Status</td>
      <td><input type="submit" name="ChangeStatus" value="Change Status"></td>
    </tr>
</Form> -->

{% endblock %}
